close all;
clear all;
% Conexión visto de arriba:
%       Ch4
% Ch5   Ch2   Ch3
%       Ch6
% vndd = Ch1 

% Recuperación y acondicionamiento de señal

data = importdata('datos_emgflex_13.dat');
Fsps = 1000;
Gadc = 12;
Ge = 25;

data = data./Gadc;

vndd = data(:,1)./Ge;
e2 =  data(:,2);
e3 = data(:,3);
e4 = data(:,4);
e5 = data(:,5);
e6 = data(:,6);

[b,a] = butter(1,[30 450]./Fsps*2,'bandpass');
vndd = filtfilt(b,a,dtrend(vndd)); 
e2 = filtfilt(b,a,dtrend(e2)); 
e3 = filtfilt(b,a,dtrend(e3)); 
e4 = filtfilt(b,a,dtrend(e4)); 
e5 = filtfilt(b,a,dtrend(e5)); 
e6 = filtfilt(b,a,dtrend(e6)); 

N = length(vndd);
t = (0:N-1)/Fsps;

% Obtención y acondicionemiento de señales calculadas

vnddc = e5+e4+e3+e6-4*e2;

[b,a] = butter(1,1/(1e3*10e-6*2*pi)./Fsps*2,'high');
vndd = dtrend(vndd); 
vnddc = filtfilt(b,a,dtrend(vnddc)); 

% Verificación de ganancias

valmin = std(vndd-vnddc);
gmin = 0;
for fcor = 0.1:0.001:2
    if std(vndd*fcor-vnddc)< valmin
        gmin = fcor;
    end 
end

vndd_seg = vndd(2*Fsps:12*Fsps);
vnddc_seg = vnddc(2*Fsps:12*Fsps);
t_seg = t(2*Fsps:12*Fsps);
% Grafico
figure(1);
hold off;
plot(t_seg,vndd_seg./1e-6+15,'k');
hold on;
plot(t_seg,vnddc_seg./1e-6-15,'linewidth',1,'Color',[0.7 0.7 0.7]);
%plot(t,(vndd-vnddc./gmin)./1.5e-6);
grid on;
xlabel('Time [s]');
ylabel('Amplitude [\mu V]');
xlim([t_seg(1) t_seg(end)])
ylim([-60 50]);
legend('NDD signal','Calculated NDD signal','Location','South');
%text(9.5,30,'NDD signal');
%text(9.5,-5,'Calculated NDD signal');

[c, lags] = xcorr(vndd_seg, vnddc_seg,'coeff');
val=c(find(lags==0))

publicationPrint6(gcf,8,10,'Figura_comparacion_calc','pdf',10)
