close all;
clear all;
% Conexión visto de arriba:
%       Ch4
% Ch5   Ch2   Ch3
%       Ch6
% vndd = Ch1 

% Recuperación y acondicionamiento de señal

data = importdata('datos_emgflex_11.dat');
Fsps = 1000;
Gadc = 12;
Ge = 25;

data = data./Gadc;

vndd = data(:,1)./Ge;
e2 =  data(:,2);
e3 = data(:,3);
e4 = data(:,4);
e5 = data(:,5);
e6 = data(:,6);

[b,a] = butter(1,[30 450]./Fsps*2,'bandpass');
vndd = filtfilt(b,a,dtrend(vndd)); 
e2 = filtfilt(b,a,dtrend(e2)); 
e3 = filtfilt(b,a,dtrend(e3)); 
e4 = filtfilt(b,a,dtrend(e4)); 
e5 = filtfilt(b,a,dtrend(e5)); 
e6 = filtfilt(b,a,dtrend(e6)); 

N = length(vndd);
t = (0:N-1)/Fsps;

% Obtención y acondicionemiento de señales calculadas

vddv = e4-2*e2+e6;
vddh = e5-2*e2+e3;
vnddc = e5+e4+e3+e6-4*e2;

[b,a] = butter(1,1/(1e3*10e-6*2*pi)./Fsps*2,'high');
vndd = dtrend(vndd); 
vddv = filtfilt(b,a,dtrend(vddv)); 
vddh = filtfilt(b,a,dtrend(vddh)); 
vnddc = filtfilt(b,a,dtrend(vnddc)); 


% Grafico
figure(1);
plot(t-10,vndd./1e-6, 'k');
hold on;
grid on;
xlabel('Time [s]');
ylabel('Amplitude [\mu V]');
xlim([0 20]);
ylim([-40 40]);
